Package net.sf.saxon.functions.hof

## Class UnresolvedXQueryFunctionItem

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.hof.UnresolvedXQueryFunctionItem

- All Implemented Interfaces:
    `Callable`, `Function`, `GroundedValue`, `Item`, `Sequence`

      public class UnresolvedXQueryFunctionItem
      extends AbstractFunction

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnresolvedXQueryFunctionItem​(XQueryFunction fd, SymbolicName.F functionName, UserFunctionReference ref)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Sequence` | `call​(XPathContext context, Sequence[] args)` | Invoke the function
    `int` | `getArity()` | Get the arity of the function
    `java.lang.String` | `getDescription()` | Get a description of this function for use in error messages.
    `FunctionItemType` | `getFunctionItemType()` | Get the item type of the function item
    `StructuredQName` | `getFunctionName()` | Get the name of the function, or null if it is anonymous
    `UserFunctionReference` | `getFunctionReference()` |

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, export, getAnnotations, getOperandRoles, getStringValue, getStringValueCS, isArray, isMap, isTrustedResultType, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre, toShortString`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### UnresolvedXQueryFunctionItem

          public UnresolvedXQueryFunctionItem​(XQueryFunction fd,
                                              SymbolicName.F functionName,
                                              UserFunctionReference ref)

  - ### Method Detail

    - #### getFunctionItemType

          public FunctionItemType getFunctionItemType()

      Description copied from interface: `Function`
      Get the item type of the function item
      Returns:
        the function item's type

    - #### getFunctionName

          public StructuredQName getFunctionName()

      Description copied from interface: `Function`
      Get the name of the function, or null if it is anonymous
      Returns:
        the function name, or null for an anonymous inline function

    - #### getArity

          public int getArity()

      Description copied from interface: `Function`
      Get the arity of the function
      Returns:
        the number of arguments in the function signature

    - #### call

          public Sequence call​(XPathContext context,
                               Sequence[] args)
                        throws XPathException

      Description copied from interface: `Function`
      Invoke the function
      Parameters:
        `context` - the XPath dynamic evaluation context
        `args` - the actual arguments to be supplied
      Returns:
        the result of invoking the function
      Throws:
        `XPathException` - if a dynamic error occurs within the function

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from interface: `Function`
      Get a description of this function for use in error messages. For named functions, the description is the function name (as a lexical QName). For others, it might be, for example, "inline function", or "partially-applied ends-with function".
      Returns:
        a description of the function for use in error messages

    - #### getFunctionReference

          public UserFunctionReference getFunctionReference()